# Gmagick::drawimage

(PECL gmagick >= Unknown)

Gmagick::drawimage — Renders the GmagickDraw object on the current image

### Description

public Gmagick::drawimage ( GmagickDraw `$GmagickDraw` ) : Gmagick

Renders the GmagickDraw object on the current image

### Parameters

`GmagickDraw`

  The drawing operations to render on the image.

### Return Values

The drawn Gmagick object

### Errors/Exceptions

Throws an GmagickException on error.